/*
2. Serial Monitor & Plotter
Example: Use analogRead to display potentiometer value in Serial Monitor and Serial Plotter.
*/
//button on pin 2
const int button = 2;
//LEDs on pins 3 & 5
const int led1 = 3;
const int led2 = 5;
//potentiometer (pot) on pin A0
const int pot = A0;

//varaible to track pot reading, start at 0
int potValue = 0;
//varialbe to scale down potValue from 0-1023 to 0-255
int potAdjust = 0;

//setup runs once
void setup() {
  //set LEDs to OUTPUT
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //set button to INPUT
  pinMode(button, INPUT);
  //set pot to INPUT
  pinMode(pot, INPUT);

  //starts the serial monitor using pins 0 & 1
  //9600 is the bits per second speed, keep this at 9600
  Serial.begin(9600);
}

//loop repeats forever
void loop() {

  //assign pot reading to 'potValue'
  potValue = analogRead(pot);
  //assign adjusted 'potValue' to 'potAdjust' (divide by 4)
  potAdjust = potValue / 4;

  //print pot reading to serial monitor
  Serial.print(potValue);
  //add a space between values
  //quotes can also be used to add text
  Serial.print("\t");
  //print adjusted pot reading
  //use println (print-line) to indicate this is the final value
  Serial.println(potAdjust);

  //add delay to slow down the plotter
  delay(100);
  //return to top of the loop
}