/*
2. Serial Monitor & Plotter
Challenge: Display button state (pressed or not pressed) in Serial Monitor.
*/
//button on pin 2
const int button = 2;
//LEDs on pins 3 & 5
const int led1 = 3;
const int led2 = 5;
//potentiometer (pot) on pin A0
const int pot = A0;

//varaible to track button, start at 0
int pressed = 0;

//setup runs once
void setup() {
  //set LEDs to OUTPUT
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //set button to INPUT
  pinMode(button, INPUT);
  //set pot to INPUT
  pinMode(pot, INPUT);

  //starts the serial monitor using pins 0 & 1
  //9600 is the bits per second speed, keep this at 9600
  Serial.begin(9600);
}

//loop repeats forever
void loop() {

  //assign button reading to 'pressed'
  pressed = digitalRead(button);

  //print 'pressed' value to serial monitor
  Serial.print("pressed = ");
  Serial.print(pressed);
  //add space (tab) between first and second set of information
  Serial.print("\t");

  //print message to interperate button status
  //if pressed == 1
  if (pressed) {
    Serial.println("Button is pressed");
  }
  //if pressed == 0
  if (!pressed) {
    Serial.println("Button is not pressed");
  }

  //delay to slow down serial monitor
  delay(100);
}