/*
3. Analog Inputs & Outputs
Example: Use potentiometer to control LED1 brightness directly, and LED2 brightness adjusted to a single range. 
*/
//button on pin 2
const int button = 2;
//LEDs on pins 3 & 5
const int led1 = 3;
const int led2 = 5;
//potentiometer (pot) on pin A0
const int pot = A0;

//variable to track pot reading
int potValue = 0;

//setup runs once
void setup() {
  //set LEDs to OUTPUT
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //set button to INPUT
  pinMode(button, INPUT);
  //set pot to INPUT
  pinMode(pot, INPUT);
}

//loop repeats forever
void loop() {

  //assign pot reading to 'potValue'
  potValue = analogRead(pot);

  //digitalWrite uses a digital output of either 0V (off) or 5V (on)
  //only pins 3, 4, 5, 9, 10, 11 (PWM pins) can output analog (between 0V-5V)
  //use 'potValue' to determine 'led1' brightness (output)
  analogWrite(led1, potValue);

  //analogRead returns a value of 0-1023 (0V-5V)
  //analogWrite recieves a value of 0-255 (0V-5V)
  //divide by 4 to adjust input for smaller output range on 'led2'
  analogWrite(led2, potValue / 4);
}