/*
4. While Loops
Example: Use while loops to toggle LED on/off when button is pressed. 
*/
//button on pin 2
const int button = 2;
//LEDs on pins 3 & 5
const int led1 = 3;
const int led2 = 5;
//potentiometer (pot) on pin A0
const int pot = A0;

//variable to track if button has been pressed
int pressed = 0;
//variable to track if LED is on (1) or off (0)
int ledState = 0;

//setup runs once
void setup() {
  //set LEDs to OUTPUT
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //set button to INPUT
  pinMode(button, INPUT);
  //set pot to INPUT
  pinMode(pot, INPUT);
}

//loop repeats forever
void loop() {

  //keep looping and wait until button has been pressed
  //!pressed means "not-pressed" or pressed == 0
  while (!pressed) {
    //when pressed changes to 1, the while loop will end
    pressed = digitalRead(button);
  }

  //if LED is currently off
  if (ledState == 0) {
    //turn on LED
    digitalWrite(led1, HIGH);
    //update 'ledState' to on (1)
    ledState = 1;
  }

  //if LED was on
  else {
    //turn off LED
    digitalWrite(led1, LOW);
    //update 'ledState' to off (0)
    ledState = 0;
  }

  //keep looping and wait until button has been released
  while(pressed){
    //when button is released, pressed will change to 0
    pressed = digitalRead(button);
  }

  //return to top of the loop to wait until the button has been pressed again
}