/*
5. For Loops
Example: Use a for loop to fade LED up from off to full brightness. 
*/
//button on pin 2
const int button = 2;
//LEDs on pins 3 & 5
const int led1 = 3;
const int led2 = 5;
//potentiometer (pot) on pin A0
const int pot = A0;

//setup runs once
void setup() {
  //set LEDs to OUTPUT
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //set button to INPUT
  pinMode(button, INPUT);
  //set pot to INPUT
  pinMode(pot, INPUT);
}

//loop repeats forever
void loop() {

  //for loop has three components: (initialization; condition; increment)
  //initialization: create local variable 'i' and start at 0
  //condition: keep looping as long as 'i' is less than 256
  //increment: increase 'i' by 1 each loop
  for (int i = 0; i < 256; i = i + 1) {
    //output to LED 0V-5V (0-255) based on 'i' value
    analogWrite(led1, i);
    //slow down LED fade
    delay(5);
  }

  //'i' was created within the for loop, so it does not exist after the loop
  //this is known as a local variable, instead of global variable
}