/*
5. For Loops
Challenge: Fade LED up from off to on, then down to off again, and at an increased speed. 
*/
//button on pin 2
const int button = 2;
//LEDs on pins 3 & 5
const int led1 = 3;
const int led2 = 5;
//potentiometer (pot) on pin A0
const int pot = A0;

void setup() {
  //set LEDs to OUTPUT
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //set button to INPUT
  pinMode(button, INPUT);
  //set pot to INPUT
  pinMode(pot, INPUT);
}

void loop() {

  //for loop has three components: (initialization; condition; increment)
  //initialization: create local variable 'i' and start at 0
  //condition: keep looping as long as 'i' is less than 256
  //increment: increase 'i' by 1 each loop
  for (int i = 0; i < 256; i = i + 2) {
    //output 0V and increase to 5V as 'i' increases (0 to 255)
    analogWrite(led1, i);
    //slow down LED fade
    delay(5);
  }

  //for loop for fading LED down
  for (int i = 255; i > -1; i = i - 2) {
    //output 5V and decrease to 0V as 'i' decreases (255 to 0)
    analogWrite(led1, i);
    //slow down LED fade
    delay(5);
  }

  /*alternative for loop that fades up and down:
  x is 1 for increasing, -1 for decreasing

  x = 1;
  for(int i = 0; i > -1; i = i + x){
    analogWrite(led1, i);
    if(i == 255){
      x = -1;
    }
  }*/
}